Description

Tracker bug for all journald logging support.

On RHEL7 we should leverage journald sending all the logs there for:

- foreman core app

- plugins (katello, candlepin, pulp)

- foreman proxies

- cron jobs (using systemd-cat)

When possible, we should send logging levels properly as well, so users are able to leverage fine-grained filtering system in journald

(WARN, ERROR, DEBUG, TRACE).

Let's also make sure that timestamps are correctly sent and we leverage all the journald goodies.

Related issues:

Related to Smart Proxy - Feature #8006: Implement logging to stdout/stderr Closed 10/21/2014

Related to Foreman - Feature #7033: Syslog capability Duplicate 08/12/2014

Is duplicate of Foreman - Feature #9561: [RFE] Write structured logs to journald Duplicate 02/26/2015

Is duplicate of Katello - Feature #9560: [RFE] Write structured logs to journald Duplicate 02/26/2015

History

#1 - 11/12/2014 04:03 AM - Lukas Zapletal

- Related to Feature #8006: Implement logging to stdout/stderr added

#2 - 11/13/2014 11:28 AM - Lukas Zapletal

Note we need to disable timestamps when in journald/syslog mode. It would be best to have a switch for that. Otherwise the output looks ugly in the

journal:

Nov 13 16:20:48 fdi smart-proxy[553]: I, [2014-11-13T16:20:48.080405 #553]  INFO -- : 'realm' module is disabl

ed.

#3 - 02/26/2015 10:12 AM - Lukas Zapletal

- Is duplicate of Feature #9561: [RFE] Write structured logs to journald added

#4 - 02/26/2015 10:13 AM - Lukas Zapletal

- Is duplicate of Feature #9560: [RFE] Write structured logs to journald added

#5 - 02/26/2015 10:13 AM - Lukas Zapletal

- Status changed from New to Duplicate

Hello, we already track this effort, but since we still fully support RHEL 6 systems, we don't rush with this.

#6 - 03/02/2015 04:14 AM - Lukas Zapletal
- Category set to Packaging

- Status changed from Duplicate to New

#7 - 06/04/2015 07:41 AM - Dominic Cleal

- Related to Feature #7033: Syslog capability added

#8 - 03/29/2018 01:18 PM - Lukas Zapletal

- Status changed from New to Duplicate

- Assignee set to Lukas Zapletal

Done, in nightly as #22569
